<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RepInMemory Property
DatabaseEnvironment Class See Also Send Feedback

If true, replication only stores the internal information in-memory and cannot keep persistent state across a site crash or reboot. By default, it is false and replication creates files in the environment home directory to preserve the internal information.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.14.0

# Syntax

C#

    public bool RepInMemory { get; }

Visual Basic (Declaration)

    Public ReadOnly Property RepInMemory As Boolean

Visual C++

    public:
    property bool RepInMemory {
    	bool get ();
    }

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace